Bug 712234 - Tech Review: Clarify usage of antcall with ant bundles
Tech Review: Clarify usage of antcall with ant bundles
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-09 17:11 EDT by Deon Ballard
Modified: 2013-09-01 15:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 15:20:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ant bundle section (27.56 KB, application/vnd.oasis.opendocument.text)
2011-10-03 21:17 EDT, Deon Ballard
no flags Details
first round of correctons/suggested changes (19.72 KB, application/vnd.oasis.opendocument.text)
2011-10-04 09:17 EDT, John Mazzitelli
no flags Details

  None (edit)
Description Deon Ballard 2011-06-09 17:11:49 EDT
The ant section[1] in the docs doesn't contain information about a workaround that is required to emulate antcall post-install targets. This information is on the RHQ wiki[2] and should be carried over into the docs.


[1] http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/2.4/html/Basic_Admin_Guide/creating-bundles.html#types-ant-bundles

[2] http://rhq-project.org/display/JOPR2/Ant+Bundles#AntBundles-ProhibitedStandardAntTasks

Other things that may need to be included
 * http://rhq-project.org/display/JOPR2/Ant+Bundles#AntBundles-DefaultTarget
Comment 1 Deon Ballard 2011-06-09 17:15:36 EDT
 And....

https://bugzilla.redhat.com/show_bug.cgi?id=676703#c4
Comment 2 Deon Ballard 2011-06-09 17:19:44 EDT
Also mention 'depends' and the post-install target. (Get details from mazz.)
Comment 3 Deon Ballard 2011-10-03 21:17:12 EDT
1. Download the attachment.

2. Make sure tack changes is turned on. Edit > Changes > Record.

3. Make any changes to the doc.

4. Attach the file to the bug.

5. Reassign the bug to me (dlackey).

These are mainly procedures and a little conceptual information. If I need more detail, or if anything is wrong, or if anything is missing, let me know.

Thanks!
Deon
Comment 4 Deon Ballard 2011-10-03 21:17:41 EDT
Created attachment 526160 [details]
ant bundle section
Comment 5 John Mazzitelli 2011-10-04 09:17:24 EDT
Created attachment 526247 [details]
first round of correctons/suggested changes

see attached. I added some notes to the documents as well as some corrections.
Comment 7 Heiko W. Rupp 2013-09-01 15:20:38 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.

Note You need to log in before you can comment on or make changes to this bug.